slepc-3.21.1 2024-04-26
Report Typos and Errors

# SlepcInitializeFortran

Routine that should be called from C after the call to SlepcInitialize() if one is using a C main program that calls Fortran routines that in turn call SLEPc routines.

### Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcInitializeFortran(void)

Collective on PETSC_COMM_WORLD

### Notes

SlepcInitializeFortran() initializes some of the default SLEPc variables for use in Fortran if a user's main program is written in C. SlepcInitializeFortran() is NOT needed if a user's main program is written in Fortran; in this case, just calling SlepcInitialize() in the main (Fortran) program is sufficient.

### See Also

SlepcInitialize()

### Level

beginner

### Location

src/sys/finit.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages